Package org.opensaml.saml.saml2.core.impl

# Class NameIDPolicyBuilder

java.lang.Object
org.opensaml.core.xml.AbstractXMLObjectBuilder<SAMLObjectType>
org.opensaml.saml.common.AbstractSAMLObjectBuilder<NameIDPolicy>
org.opensaml.saml.saml2.core.impl.NameIDPolicyBuilder

All Implemented Interfaces:
  `XMLObjectBuilder<NameIDPolicy>`, `SAMLObjectBuilder<NameIDPolicy>`

public class NameIDPolicyBuilder extends AbstractSAMLObjectBuilder<NameIDPolicy>
Builder for `NameIDPolicy`.

## Constructor Summary

Constructors
Constructor
Description
`NameIDPolicyBuilder()`

## Method Summary

Modifier and Type
Method
Description
`NameIDPolicy`
`buildObject()`
Builds a SAMLObject using the default name and namespace information provided SAML specifications.
`NameIDPolicy`
`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObjectBuilder

`buildObject, buildObject, buildObject, buildObject`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObjectBuilder

`buildObject, buildObject, buildObject, buildObject`

## Constructor Details

### NameIDPolicyBuilder

public NameIDPolicyBuilder()

## Method Details

### buildObject

@Nonnull public NameIDPolicy buildObject()
Builds a SAMLObject using the default name and namespace information provided SAML specifications.

Specified by:
  `buildObject` in interface `SAMLObjectBuilder<NameIDPolicy>`
Specified by:
  `buildObject` in class `AbstractSAMLObjectBuilder<NameIDPolicy>`
Returns:
  built SAMLObject

### buildObject

@Nonnull public NameIDPolicy buildObject(@Nullable String namespaceURI, @Nonnull String localName, @Nullable String namespacePrefix)
Creates an XMLObject with a given fully qualified name.

Specified by:
  `buildObject` in interface `XMLObjectBuilder<NameIDPolicy>`
Specified by:
  `buildObject` in class `AbstractXMLObjectBuilder<NameIDPolicy>`
Parameters:
  `namespaceURI` - the URI of the namespace the Element represented by this XMLObject will be in
  `localName` - the local name of the Element represented by this XMLObject
  `namespacePrefix` - the namespace prefix of the Element represented by this XMLObject
Returns:
  the constructed XMLObject